Request weather report

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /project/{projectId}/weatherReportRequest

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
application/json

Body Required

  • stationId string
  • duration integer(int32)
  • lowTemperature integer(int32)
  • highTemperature integer(int32)
  • precipitation number(double)
  • snow number(double)
  • wind integer(int32)
  • comments string

Responses

  • 200 */*

    OK

POST /project/{projectId}/weatherReportRequest
curl \
 --request POST 'https://live.smartpmtech.com/project/{projectId}/weatherReportRequest' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "stationId": "string",
  "duration": 42,
  "lowTemperature": 42,
  "highTemperature": 42,
  "precipitation": 42.0,
  "snow": 42.0,
  "wind": 42,
  "comments": "string"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "stationId": "string",
  "duration": 42,
  "lowTemperature": 42,
  "highTemperature": 42,
  "precipitation": 42.0,
  "snow": 42.0,
  "wind": 42,
  "comments": "string"
}
Response examples (200)
true